gnutls-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SCM] GNU gnutls branch, master, updated. gnutls_2_11_6-350-gb9eb2f3


From: Nikos Mavrogiannopoulos
Subject: [SCM] GNU gnutls branch, master, updated. gnutls_2_11_6-350-gb9eb2f3
Date: Mon, 28 Mar 2011 19:33:15 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU gnutls".

http://git.savannah.gnu.org/cgit/gnutls.git/commit/?id=b9eb2f31c0a13491e63670696f5d6b6fdb002754

The branch, master has been updated
       via  b9eb2f31c0a13491e63670696f5d6b6fdb002754 (commit)
       via  06dcfb21d92f13fa62f7bb6412737aaed44bd6c2 (commit)
       via  2df3b9d72f283d6a52b1625465a9d1b07cd8d0c3 (commit)
      from  67c2033498bc183785d261c854a0b5707357a21e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit b9eb2f31c0a13491e63670696f5d6b6fdb002754
Author: Nikos Mavrogiannopoulos <address@hidden>
Date:   Mon Mar 28 21:33:10 2011 +0200

    enabled testcerts.

commit 06dcfb21d92f13fa62f7bb6412737aaed44bd6c2
Author: Nikos Mavrogiannopoulos <address@hidden>
Date:   Mon Mar 28 21:31:58 2011 +0200

    made more silent.

commit 2df3b9d72f283d6a52b1625465a9d1b07cd8d0c3
Author: Nikos Mavrogiannopoulos <address@hidden>
Date:   Mon Mar 28 21:27:19 2011 +0200

    Made scripts bourne shell compliant and not bash.

-----------------------------------------------------------------------

Summary of changes:
 tests/dsa/testdsa               |   32 +++++++++++++++++++-------------
 tests/openpgp-certs/Makefile.am |    2 +-
 tests/openpgp-certs/testcerts   |   32 +++++++++++++++++++-------------
 3 files changed, 39 insertions(+), 27 deletions(-)

diff --git a/tests/dsa/testdsa b/tests/dsa/testdsa
index bbd0802..910bf8b 100755
--- a/tests/dsa/testdsa
+++ b/tests/dsa/testdsa
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 # Copyright (C) 2010 Free Software Foundation, Inc.
 #
@@ -38,7 +38,8 @@ echo "Checking various DSA key sizes"
 
 echo "Checking DSA-1024 with TLS 1.0"
 
-$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.0" 
--x509certfile $srcdir/cert.dsa.1024.pem --x509keyfile $srcdir/dsa.1024.pem 
>/dev/null 2>&1 &
+$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.0" 
--x509certfile $srcdir/cert.dsa.1024.pem --x509keyfile $srcdir/dsa.1024.pem 
>/dev/null 2>&1 & PID=$!
+trap "kill $PID" 1 15 2
 
 # give the server a chance to initialize
 sleep 2
@@ -64,14 +65,15 @@ echo "Checking server DSA-1024 with client DSA-3072 and TLS 
1.0"
 $CLI $DEBUG -p $PORT 127.0.0.1 --insecure --x509certfile 
$srcdir/cert.dsa.3072.pem --x509keyfile $srcdir/dsa.3072.pem </dev/null 
>/dev/null 2>&1 && \
   fail "Succeeded connection to a server with a client DSA 3072 key and TLS 
1.0!"
 
-kill %1
+kill $PID
 wait
 
 # DSA 1024 + TLS 1.2
 
 echo "Checking DSA-1024 with TLS 1.2"
 
-$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.2" 
--x509certfile $srcdir/cert.dsa.1024.pem --x509keyfile $srcdir/dsa.1024.pem 
>/dev/null 2>&1 &
+$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.2" 
--x509certfile $srcdir/cert.dsa.1024.pem --x509keyfile $srcdir/dsa.1024.pem 
>/dev/null 2>&1 & PID=$!
+trap "kill $PID" 1 15 2
 
 # give the server a chance to initialize
 sleep 2
@@ -98,14 +100,15 @@ $CLI $DEBUG -p $PORT 127.0.0.1 --insecure --x509certfile 
$srcdir/cert.dsa.3072.p
   fail "Failed connection to a server with a client DSA 3072 key and TLS 1.2!"
 
 
-kill %1
+kill $PID
 wait
 
 # DSA 2048 + TLS 1.0
 
 echo "Checking DSA-2048 with TLS 1.0"
 
-$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.0" 
--x509certfile $srcdir/cert.dsa.2048.pem --x509keyfile $srcdir/dsa.2048.pem 
>/dev/null 2>&1 &
+$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.0" 
--x509certfile $srcdir/cert.dsa.2048.pem --x509keyfile $srcdir/dsa.2048.pem 
>/dev/null 2>&1 & PID=$!
+trap "kill $PID" 1 15 2
 
 # give the server a chance to initialize
 sleep 2
@@ -113,14 +116,15 @@ sleep 2
 $CLI $DEBUG -p $PORT 127.0.0.1 --insecure </dev/null >/dev/null 2>&1 && \
   fail "Succeeded connection to a server with DSA 2048 key and TLS 1.0. Should 
have failed!"
 
-kill %1
+kill $PID
 wait
 
 # DSA 2048 + TLS 1.2
 
 echo "Checking DSA-2048 with TLS 1.2"
 
-$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.2" 
--x509certfile $srcdir/cert.dsa.2048.pem --x509keyfile $srcdir/dsa.2048.pem 
>/dev/null 2>&1 &
+$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.2" 
--x509certfile $srcdir/cert.dsa.2048.pem --x509keyfile $srcdir/dsa.2048.pem 
>/dev/null 2>&1 & PID=$!
+trap "kill $PID" 1 15 2
 
 # give the server a chance to initialize
 sleep 2
@@ -128,14 +132,15 @@ sleep 2
 $CLI $DEBUG -p $PORT 127.0.0.1 --insecure </dev/null >/dev/null || \
   fail "Failed connection to a server with DSA 2048 key and TLS 1.2!"
 
-kill %1
+kill $PID
 wait
 
 # DSA 3072 + TLS 1.0
 
 echo "Checking DSA-3072 with TLS 1.0"
 
-$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.0" 
--x509certfile $srcdir/cert.dsa.3072.pem --x509keyfile $srcdir/dsa.3072.pem 
>/dev/null 2>&1 &
+$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.0" 
--x509certfile $srcdir/cert.dsa.3072.pem --x509keyfile $srcdir/dsa.3072.pem 
>/dev/null 2>&1 & PID=$!
+trap "kill $PID" 1 15 2
 
 # give the server a chance to initialize
 sleep 2
@@ -143,14 +148,15 @@ sleep 2
 $CLI $DEBUG -p $PORT 127.0.0.1 --insecure </dev/null >/dev/null 2>&1 && \
   fail "Succeeded connection to a server with DSA 2048 key and TLS 1.0. Should 
have failed!"
 
-kill %1
+kill $PID
 wait
 
 # DSA 3072 + TLS 1.2
 
 echo "Checking DSA-3072 with TLS 1.2"
 
-$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.2" 
--x509certfile $srcdir/cert.dsa.3072.pem --x509keyfile $srcdir/dsa.3072.pem 
>/dev/null 2>&1 &
+$SERV $DEBUG -p $PORT --priority "NORMAL:-VERS-TLS-ALL:+VERS-TLS1.2" 
--x509certfile $srcdir/cert.dsa.3072.pem --x509keyfile $srcdir/dsa.3072.pem 
>/dev/null 2>&1 & PID=$!
+trap "kill $PID" 1 15 2
 
 # give the server a chance to initialize
 sleep 2
@@ -158,7 +164,7 @@ sleep 2
 $CLI $DEBUG -p $PORT 127.0.0.1 --insecure </dev/null >/dev/null || \
   fail "Failed connection to a server with DSA 3072 key and TLS 1.2!"
 
-kill %1
+kill $PID
 wait
 
 exit 0
diff --git a/tests/openpgp-certs/Makefile.am b/tests/openpgp-certs/Makefile.am
index c252a5a..4602dd9 100644
--- a/tests/openpgp-certs/Makefile.am
+++ b/tests/openpgp-certs/Makefile.am
@@ -29,7 +29,7 @@ dist_check_SCRIPTS = testselfsigs testcerts
 if ENABLE_OPENPGP
 # The selftest is disabled until we can make it work under Wine and
 # under Debian buildds (problem with 127.0.0.2?).
-TESTS = testselfsigs #testcerts
+TESTS = testselfsigs testcerts
 endif
 
 TESTS_ENVIRONMENT = EXEEXT=$(EXEEXT)
diff --git a/tests/openpgp-certs/testcerts b/tests/openpgp-certs/testcerts
index dbb0810..b100ac8 100755
--- a/tests/openpgp-certs/testcerts
+++ b/tests/openpgp-certs/testcerts
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 # Copyright (C) 2010 Free Software Foundation, Inc.
 #
@@ -24,6 +24,7 @@ srcdir="${srcdir:-.}"
 SERV="${SERV:-../../src/gnutls-serv} -q"
 CLI="${CLI:-../../src/gnutls-cli}"
 PORT="${PORT:-5557}"
+DEBUG=""
 unset RETCODE
 
 fail() {
@@ -33,7 +34,8 @@ fail() {
 
 echo "Checking OpenPGP certificate verification"
 
-$SERV -p $PORT --pgpcertfile $srcdir/srv-public-127.0.0.1-signed.gpg 
--pgpkeyfile $srcdir/srv-secret.gpg >/dev/null 2>&1 &
+$SERV -p $PORT --pgpcertfile $srcdir/srv-public-127.0.0.1-signed.gpg 
--pgpkeyfile $srcdir/srv-secret.gpg >/dev/null 2>&1 & PID=$!
+trap "kill $PID" 1 15 2
 
 # give the server a chance to initialize
 sleep 2
@@ -44,42 +46,46 @@ sleep 2
 #$CLI -p $PORT 127.0.0.1 --pgpkeyring ca-public.gpg </dev/null >/dev/null || \
 #  fail "Connection to verified IP address should have succeeded! (error code 
$?)" $?
 
-$CLI -p $PORT 127.0.0.2 --pgpkeyring $srcdir/ca-public.gpg </dev/null 
>/dev/null && \
+$CLI $DEBUG -p $PORT 127.0.0.2 --pgpkeyring $srcdir/ca-public.gpg </dev/null 
>/dev/null 2>&1 && \
   fail "Connection to unrecognized IP address should have failed!"
 
-$CLI -p $PORT localhost --pgpkeyring $srcdir/ca-public.gpg </dev/null 
>/dev/null && \
+$CLI $DEBUG -p $PORT localhost --pgpkeyring $srcdir/ca-public.gpg </dev/null 
>/dev/null 2>&1 && \
   fail "Connection to unverified (but present) 'localhost' should have failed!"
 
-kill %1
+kill $PID
 wait
 
-$SERV -p $PORT --pgpcertfile $srcdir/srv-public-localhost-signed.gpg 
--pgpkeyfile $srcdir/srv-secret.gpg >/dev/null 2>&1 &
+$SERV -p $PORT --pgpcertfile $srcdir/srv-public-localhost-signed.gpg 
--pgpkeyfile $srcdir/srv-secret.gpg >/dev/null 2>&1 & PID=$!
+trap "kill $PID" 1 15 2
+
 # give the server a chance to initialize
 sleep 2
 
-echo | $CLI -p $PORT 127.0.0.1 --pgpkeyring $srcdir/ca-public.gpg </dev/null 
>/dev/null && \
+echo | $CLI $DEBUG -p $PORT 127.0.0.1 --pgpkeyring $srcdir/ca-public.gpg 
</dev/null >/dev/null 2>&1 && \
   fail "Connection to unverified IP address should have failed! (error code 
$?)" $?
 
-$CLI -p $PORT 127.0.0.2 --pgpkeyring $srcdir/ca-public.gpg </dev/null 
>/dev/null && \
+$CLI $DEBUG -p $PORT 127.0.0.2 --pgpkeyring $srcdir/ca-public.gpg </dev/null 
>/dev/null 2>&1 && \
   fail "Connection to unrecognized IP address should have failed!"
 
 #see reason above
 #$CLI -p $PORT localhost --pgpkeyring ca-public.gpg </dev/null >/dev/null || \
 #  fail "Connection to verified 'localhost' should have succeded! (error code 
$?)" $?
 
-kill %1 >/dev/null 2>&1
+kill $PID
 wait
 
-$SERV -p $PORT --pgpcertfile $srcdir/srv-public-all-signed.gpg --pgpkeyfile 
$srcdir/srv-secret.gpg >/dev/null 2>&1 &
+$SERV -p $PORT --pgpcertfile $srcdir/srv-public-all-signed.gpg --pgpkeyfile 
$srcdir/srv-secret.gpg >/dev/null 2>&1 & PID=$!
+trap "kill $PID" 1 15 2
+
 # give the server a chance to initialize
 sleep 2
-echo | $CLI -p $PORT 127.0.0.1 --pgpkeyring $srcdir/ca-public.gpg </dev/null 
>/dev/null || \
+echo | $CLI $DEBUG -p $PORT 127.0.0.1 --pgpkeyring $srcdir/ca-public.gpg 
</dev/null >/dev/null || \
   fail "Connection to signed PGP certificate should have succeeded! (error 
code $?)" $?
 
-$CLI -p $PORT 127.0.0.2 --pgpkeyring $srcdir/ca-public.gpg </dev/null 
>/dev/null && \
+$CLI $DEBUG -p $PORT 127.0.0.2 --pgpkeyring $srcdir/ca-public.gpg </dev/null 
>/dev/null && \
   fail "Connection to unrecognized IP address should have failed!"
 
-kill %1 >/dev/null 2>&1
+kill $PID
 wait
 
 exit ${RETCODE:-0}


hooks/post-receive
-- 
GNU gnutls



reply via email to

[Prev in Thread] Current Thread [Next in Thread]